using BPA.SAAS.Manage.Application.Device.Dtos.Device;
using BPA.SAAS.Manage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Interface
{
    public interface ITechnologyService
    {
        Task<PageUtil> GetTechnologyExportRecodePage(TechnologyQueryInputDto inputDto);
        Task<bool> DeTechnologyExportRecode(string inputList);
        /// <summary>
        /// 根据设备id查询设备工艺信息
        /// </summary>
        /// <param name="deviceId"></param>
        /// <returns></returns>
        Task<List<TechnologyView>> GetTechnologyList(string deviceId);
        Task<List<TechnologyView>> GetTechnologyList_alm(string deviceId);
    }
}
